std::__atomic_base< _IntTp >(3)

NAME
std::__atomic_base< _IntTp > -

SYNOPSIS

Inherited by std::atomic< char >, std::atomic< char16_t >, std::atomic< char32_t >, std::atomic< int >, std::atomic< long >, std::atomic< long long >, std::atomic< short >, std::atomic< signed char >, std::atomic< unsigned char >, std::atomic< unsigned int >, std::atomic< unsigned long >, std::atomic< unsigned long long >, std::atomic< unsigned short >, and std::atomic< wchar_t >.

  Public Member Functions
__atomic_base (const __atomic_base &)=delete
constexpr __atomic_base (__int_type __i) noexcept
__attribute__ ((always_inline)) void store(__int_type __i
bool is_lock_free () const noexcept
bool is_lock_free () const volatilenoexcept
operator __int_type () const noexcept
operator __int_type () const volatilenoexcept
__int_type operator&= (__int_type __i) noexcept
__int_type operator&= (__int_type __i) volatilenoexcept
__int_type operator++ (int) noexcept
__int_type operator++ (int) volatilenoexcept
__int_type operator++ () noexcept
__int_type operator++ () volatilenoexcept
__int_type operator+= (__int_type __i) noexcept
__int_type operator+= (__int_type __i) volatilenoexcept
__int_type operator-- (int) noexcept
__int_type operator-- (int) volatilenoexcept
__int_type operator-- () noexcept
__int_type operator-- () volatilenoexcept
__int_type operator-= (__int_type __i) noexcept
__int_type operator-= (__int_type __i) volatilenoexcept
__atomic_base & operator= (const __atomic_base &)=delete
__atomic_base & operator= (const __atomic_base &) volatile=delete
__int_type operator= (__int_type __i) noexcept
__int_type operator= (__int_type __i) volatilenoexcept
__int_type operator^= (__int_type __i) noexcept
__int_type operator^= (__int_type __i) volatilenoexcept
__int_type operator|= (__int_type __i) noexcept
__int_type operator|= (__int_type __i) volatilenoexcept

Detailed Description

  template<typename _IntTp>struct std::__atomic_base< _IntTp >
Base class for atomic integrals.

Definition at line 121 of file atomic_base.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.